import javax.swing.*;

public class ref_cycle3test
{
public static void main(String arg[])
{
double m=50/745.25928;  // kg/s çevrim R134a debisi
double P2=1250.0;         //  kPa türbin giriş basıncı
double P1=200.0 ;         //  kPa türbin çıkış basıncı
double dT1i=10.0; //degree C
double eta_isent1i=0.9;
double dT6i=5.0; //degree C
double dPevap1i=5.0; //kPa
double dPevap2i=5.0; //kPa
double dPcond1i=5.0; //kPa
double dPcond2i=5.0; //kPa
double dPcond3i=5.0; //kPa
double dhi=2.0; //kJ/kgK
ref_cycle3 r=new ref_cycle3("R134a",m,dT1i,P1,eta_isent1i,P2,dT6i,dPevap1i,dPevap2i,dPcond1i,dPcond2i,dPcond3i,dhi);
System.out.println(r.toString());
r.plot(-30.0);
}
}